## libgeotiff 1.5.0~rc1

=== CMakeLists.txt ===
###############################################################################
#
# CMake main configuration file to build GeoTIFF library and utilities.
#
# Author: Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################
PROJECT(GeoTIFF)

SET(GEOTIFF_LIB_NAME geotiff)
SET(GEOTIFF_LIBRARY_TARGET geotiff_library)

##############################################################################
# CMake settings
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET(CMAKE_COLOR_MAKEFILE ON)

# Version information
set(PROJECT_VERSION_MAJOR 1)
set(PROJECT_VERSION_MINOR 5)
set(PROJECT_VERSION_PATCH 0)
set(PROJECT_VERSION
  "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
set(GeoTIFF_VERSION ${PROJECT_VERSION})

# Set library version to match that of autoconf:
# libgeotiff.so -> libgeotiff.so.2.2.0
# libgeotiff.so.2 -> libgeotiff.so.2.2.0
# libgeotiff.so.2.2.0
set(LINK_SOVERSION "5")
set(LINK_VERSION "5.0.0")

string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

# Allow advanced users to generate Makefiles printing detailed commands
MARK_AS_ADVANCED(CMAKE_VERBOSE_MAKEFILE)

# Path to additional CMake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

###############################################################################
# General build settings

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Debug CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel"
        FORCE)
ENDIF()

SET(GEOTIFF_BUILD_PEDANTIC FALSE CACHE BOOL "Choose compilation in pedantic or relaxed mode")
IF(CMAKE_BUILD_TYPE MATCHES Debug)
    SET(GEOTIFF_BUILD_PEDANTIC TRUE)
ENDIF()

if (CMAKE_MAJOR_VERSION GREATER 2)
cmake_policy(SET CMP0022 OLD) # interface link libraries
cmake_policy(SET CMP0042 OLD) # osx rpath
endif()


# TODO: Still testing the output paths --mloskot
SET(GEOTIFF_BUILD_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Output directory in which to build RUNTIME target files.
# SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Output directory in which to build LIBRARY target files
# SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

# Output directory in which to build ARCHIVE target files.
# SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

###############################################################################
# Platform and compiler specific settings

IF(WIN32)
    IF(MSVC)
        ADD_DEFINITIONS(-DBUILD_AS_DLL=1)
        ADD_DEFINITIONS(/DW4)
        if (NOT (MSVC_VERSION VERSION_LESS 1400))
            ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
            ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
            ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_WARNING)
            ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
        endif()
    ENDIF(MSVC)
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    SET(COMPILE_FLAGS "-fPIC -Wall -Wno-long-long")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${COMPILE_FLAGS} -std=c99")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${COMPILE_FLAGS} -std=c++98")
    IF(GEOTIFF_BUILD_PEDANTIC)
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pedantic")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
    ENDIF()
ENDIF()

# Check required standard headers
INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES(stdio.h HAVE_STDIO_H)
CHECK_INCLUDE_FILES(stdlib.h HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_INCLUDE_FILES(strings.h HAVE_STRINGS_H)

###############################################################################
# User-defined build settings

SET(WITH_UTILITIES TRUE CACHE BOOL "Choose if GeoTIFF utilities should be built")

###############################################################################
# Search for dependencies

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/libxtiff)

# TIFF support - required, default=ON
SET(WITH_TIFF TRUE CACHE BOOL "Choose if TIFF support should be built")

FIND_PACKAGE(PROJ NO_MODULE QUIET)
if (NOT PROJ_FOUND)
    FIND_PACKAGE(PROJ)
endif ()

IF(PROJ_FOUND)
    INCLUDE_DIRECTORIES(${PROJ_INCLUDE_DIR})
ELSE()
    MESSAGE(FATAL_ERROR "Failed to detect PROJ >= 6")
ENDIF()

# Zlib support - optional, default=OFF
SET(WITH_ZLIB FALSE CACHE BOOL "Choose if zlib support should be built")

IF(WITH_ZLIB)
    FIND_PACKAGE(ZLIB NO_MODULE QUIET)
    if (NOT ZLIB_FOUND)
      FIND_PACKAGE(ZLIB)
    endif ()

    IF(ZLIB_FOUND)
        SET(HAVE_ZIP 1)
        INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_ZIP=${HAVE_ZIP})
    ENDIF()
ENDIF()

# JPEG support - optional, default=OFF
SET(WITH_JPEG FALSE CACHE BOOL "Choose if JPEG support should be built")

IF(WITH_JPEG)
    FIND_PACKAGE(JPEG NO_MODULE QUIET)
    if (NOT JPEG_FOUND)
      FIND_PACKAGE(JPEG)
    endif ()

    IF(JPEG_FOUND)
        SET(HAVE_JPEG 1)
        INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_JPEG=${HAVE_JPEG})
    ENDIF()
ENDIF()

IF(WITH_TIFF)
    FIND_PACKAGE(TIFF NO_MODULE QUIET)
    if (NOT TIFF_FOUND)
      FIND_PACKAGE(TIFF REQUIRED)
    endif ()

    IF(TIFF_FOUND)
        # Confirm required API is available
        INCLUDE(CheckFunctionExists)
        SET(CMAKE_REQUIRED_LIBRARIES ${TIFF_LIBRARIES})

        CHECK_FUNCTION_EXISTS(TIFFOpen HAVE_TIFFOPEN)
        IF(NOT HAVE_TIFFOPEN)
            SET(TIFF_FOUND) # ReSET to NOT found for TIFF library
            MESSAGE(FATAL_ERROR "Failed to link with libtiff - TIFFOpen function not found")
        ENDIF()

        CHECK_FUNCTION_EXISTS(TIFFMergeFieldInfo HAVE_TIFFMERGEFIELDINFO)
        IF(NOT HAVE_TIFFMERGEFIELDINFO)
            SET(TIFF_FOUND) # ReSET to NOT found for TIFF library
            MESSAGE(FATAL_ERROR "Failed to link with libtiff - TIFFMergeFieldInfo function not found. libtiff 3.6.0 Beta or later required. Please upgrade or use an older version of libgeotiff")
        ENDIF()

        INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_TIFF=1)
    ENDIF(TIFF_FOUND)
ENDIF(WITH_TIFF)

# Turn off TOWGS84 support
SET(WITH_TOWGS84 TRUE CACHE BOOL "Build with TOWGS84 support")
IF (NOT WITH_TOWGS84)
   SET(GEO_NORMALIZE_DISABLE_TOWGS84 1)
endif()

###############################################################################
# Generate geo_config.h with compile-time configuration

MESSAGE(STATUS "Generating geo_config.h header")

CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/geo_config.h.in
  geo_config.h)
INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

MESSAGE(STATUS "Generating geo_config.h header - done")


###############################################################################
# Installation settings

SET(GEOTIFF_LIB_HEADERS
    geotiff.h
    geotiffio.h
    geovalues.h
    geonames.h
    geokeys.h
    ${CMAKE_CURRENT_BINARY_DIR}/geo_config.h
    geo_tiffp.h
    geo_keyp.h
    geo_normalize.h
    cpl_serv.h
    geo_simpletags.h
    epsg_datum.inc
    epsg_gcs.inc
    epsg_pm.inc
    epsg_units.inc
    geo_ctrans.inc
    epsg_ellipse.inc
    epsg_pcs.inc
    epsg_proj.inc
    epsg_vertcs.inc
    geokeys.inc
    libxtiff/xtiffio.h)

SET(GEOTIFF_MAN_PAGES
    man/man1/applygeo.1
    man/man1/geotifcp.1
    man/man1/listgeo.1)

#    ${PROJECT_BINARY_DIR}/geotiff_version.h

IF(WIN32)
    SET(DEFAULT_LIB_SUBDIR lib)
    SET(DEFAULT_DATA_SUBDIR .)
    SET(DEFAULT_INCLUDE_SUBDIR include)

    IF(MSVC)
        SET(DEFAULT_BIN_SUBDIR bin)
    ELSE()
        SET(DEFAULT_BIN_SUBDIR .)
    ENDIF()
ELSE()
    # Common locatoins for Unix and Mac OS X
    SET(DEFAULT_BIN_SUBDIR bin)
    SET(DEFAULT_LIB_SUBDIR lib)
    SET(DEFAULT_DATA_SUBDIR share)
    SET(DEFAULT_INCLUDE_SUBDIR include)
ENDIF()

# Locations are changeable by user to customize layout of GeoTIFF installation
# (default values are platform-specIFic)
SET(GEOTIFF_BIN_SUBDIR ${DEFAULT_BIN_SUBDIR} CACHE STRING
    "Subdirectory where executables will be installed")
SET(GEOTIFF_LIB_SUBDIR ${DEFAULT_LIB_SUBDIR} CACHE STRING
    "Subdirectory where libraries will be installed")
SET(GEOTIFF_INCLUDE_SUBDIR ${DEFAULT_INCLUDE_SUBDIR} CACHE STRING
    "Subdirectory where header files will be installed")
SET(GEOTIFF_DATA_SUBDIR ${DEFAULT_DATA_SUBDIR} CACHE STRING
    "Subdirectory where data will be installed")

# Mark *_SUBDIR variables as advanced and dedicated to use by power-users only.
MARK_AS_ADVANCED(GEOTIFF_BIN_SUBDIR GEOTIFF_LIB_SUBDIR GEOTIFF_INCLUDE_SUBDIR GEOTIFF_DATA_SUBDIR)

# Full paths for the installation
SET(GEOTIFF_BIN_DIR ${GEOTIFF_BIN_SUBDIR})
SET(GEOTIFF_LIB_DIR ${GEOTIFF_LIB_SUBDIR})
SET(GEOTIFF_INCLUDE_DIR ${GEOTIFF_INCLUDE_SUBDIR})
SET(GEOTIFF_DATA_DIR ${GEOTIFF_DATA_SUBDIR})

# Install doc files
INSTALL(FILES
    AUTHORS ChangeLog COPYING INSTALL LICENSE README README_BIN README.WIN
    DESTINATION doc)
#    DESTINATION ${GEOTIFF_DATA_DIR}/doc)

# Install man pages
INSTALL(FILES ${GEOTIFF_MAN_PAGES} DESTINATION share/man/man1)


# Install header files for development distribution
# INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION ${GEOTIFF_INCLUDE_DIR})
INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION include)

###############################################################################
# Build libxtiff library

ADD_SUBDIRECTORY(libxtiff)

###############################################################################
# Build libgeotiff library

SET(GEOTIFF_LIB_SOURCES
    cpl_serv.c
    geo_extra.c
    geo_free.c
    geo_get.c
    geo_names.c
    geo_new.c
    geo_normalize.c
    geo_print.c
    geo_set.c
    geo_simpletags.c
    geo_tiffp.c
    geo_trans.c
    geo_write.c
    geotiff_proj4.c)

SET(XTIFF_SOURCES libxtiff/xtiff.c)

if (MSVC OR CMAKE_CONFIGURATION_TYPES)
  # For multi-config systems and for Visual Studio, the debug versions
  # of the libraries have a _d suffix.
  set (CMAKE_DEBUG_POSTFIX _d)
endif ()

ADD_LIBRARY(${GEOTIFF_LIBRARY_TARGET}
    ${GEOTIFF_LIB_SOURCES} ${XTIFF_SOURCES})

IF(WIN32 AND MSVC)
    SET_TARGET_PROPERTIES(${GEOTIFF_LIBRARY_TARGET} PROPERTIES IMPORT_SUFFIX "_i.lib")
ENDIF(WIN32 AND MSVC)

# Unix, linux:
IF(UNIX)
   SET_TARGET_PROPERTIES(
      ${GEOTIFF_LIBRARY_TARGET}
      PROPERTIES
      OUTPUT_NAME ${GEOTIFF_LIB_NAME}
      VERSION ${LINK_VERSION}
      SOVERSION ${LINK_SOVERSION}
      CLEAN_DIRECT_OUTPUT 1 )
   if (APPLE)
      set_target_properties(
        ${GEOTIFF_LIBRARY_TARGET}
        PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
   endif()

ELSE(UNIX)
# Default:
   SET_TARGET_PROPERTIES(${GEOTIFF_LIBRARY_TARGET} PROPERTIES
   OUTPUT_NAME ${GEOTIFF_LIB_NAME})
ENDIF(UNIX)

SET_TARGET_PROPERTIES(${GEOTIFF_LIBRARY_TARGET} PROPERTIES
   OUTPUT_NAME ${GEOTIFF_LIB_NAME})

TARGET_LINK_LIBRARIES(${GEOTIFF_LIBRARY_TARGET}
    ${TIFF_LIBRARIES}
    ${PROJ_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${JPEG_LIBRARIES})

# INSTALL(TARGETS ${GEOTIFF_ARCHIVE_TARGET} ${GEOTIFF_LIBRARY_TARGET}
#	RUNTIME DESTINATION ${GEOTIFF_BIN_DIR}
#   LIBRARY DESTINATION ${GEOTIFF_LIB_DIR}
#   ARCHIVE DESTINATION ${GEOTIFF_LIB_DIR})

INSTALL( TARGETS ${GEOTIFF_LIBRARY_TARGET}
	 EXPORT depends
	 RUNTIME DESTINATION bin
         LIBRARY DESTINATION lib
	 ARCHIVE DESTINATION lib )

# Define grouping of source files in PROJECT file (e.g. Visual Studio)
SOURCE_GROUP("CMake Files" FILES CMakeLists.txt)
SOURCE_GROUP("Header Files" FILES ${GEOTIFF_LIB_HEADERS})
SOURCE_GROUP("Source Files" FILES ${GEOTIFF_LIB_SOURCES})

###############################################################################
# Build GeoTIFF utilities

IF(WITH_UTILITIES)
    ADD_SUBDIRECTORY(bin)
ENDIF()

ADD_SUBDIRECTORY(cmake)

=== debian/changelog ===
libgeotiff (1.5.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update upstream metadata for move to GitHub.
  * Bump Standards-Version to 4.3.0, no changes.
  * Rename source package to remove '-dfsg' suffix.
  * Update packaging for upstream removal of EPSG CSV files.
  * Require at least libproj-dev 6.0.0.
  * Update copyright file, changes:
    - Change Source URL to GitHub repository
    - Drop license & copyright for automake files
    - Add Even Rouault to copyright holders
  * Rename library package for SONAME bump.
  * Update symbols for 1.5.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Mar 2019 12:30:52 +0100

libgeotiff-dfsg (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Dec 2018 20:28:33 +0100

libgeotiff-dfsg (1.4.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Dec 2018 08:19:16 +0100

libgeotiff-dfsg (1.4.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.
  * Add Build-Depends-Package field to symbols file.
  * Refresh patches.
  * Sort build dependencies.
  * Update symbols for 1.4.3~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Dec 2018 20:49:44 +0100

libgeotiff-dfsg (1.4.2-4) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 19:49:18 +0200

libgeotiff-dfsg (1.4.2-3) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.5, changes: priority.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Add autopkgtest to test installability.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete get-orig-source target.
  * Drop obsolete dbg package.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 22:13:23 +0200

libgeotiff-dfsg (1.4.2-2) unstable; urgency=medium

  * Add upstream patch to revert back including "geo_config.h".
    Caused librasterlite2 configure to fail (#836308).

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Sep 2016 18:42:40 +0200

libgeotiff-dfsg (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2016 03:20:42 +0200

libgeotiff-dfsg (1.4.2~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 21:17:37 +0200

libgeotiff-dfsg (1.4.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop automake-subdir-objects.patch, applied upstream.
  * Don't patch Makefile.in, but only Makefile.am.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Aug 2016 16:35:46 +0200

libgeotiff-dfsg (1.4.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patch.
  * Override dh_autoreconf to run autogen.sh instead of `autoreconf -fi`.
  * Add patch to fix automake warning by adding subdir-objects option.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 18:31:37 +0200

libgeotiff-dfsg (1.4.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file to also match pre-releases.
  * Change Upstream-Contact to GeoTIFF mailinglist.
  * Refresh patches.
  * Update symbols, GTIFTiepointTranslate made static.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 16:16:32 +0200

libgeotiff-dfsg (1.4.1-4) unstable; urgency=medium

  * Add patch to not install makegeo, install source in examples instead.
  * Use dh-autoreconf instead of autotools-dev.
  * Add patch to add manpages for applygeo & geotifcp, and fix listgeo manpage.
  * Explicitly remove .la file, not installed.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 00:05:17 +0200

libgeotiff-dfsg (1.4.1-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buidflags.
  * Update Homepage URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 18:05:54 +0200

libgeotiff-dfsg (1.4.1-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update URLs in upstream metadata to use HTTPS.
  * Update watch file to handle common issues and other tar extensions.
  * Don't ignore symbols changes in dh_makeshlibs override.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Feb 2016 17:41:35 +0100

libgeotiff-dfsg (1.4.1-1) unstable; urgency=medium

  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Use standalone license specification for FSF licenses
    - Align copyright holders
    - Drop .0 from GPL license shortname
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 18:49:20 +0200

libgeotiff-dfsg (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use uscan and Files-Excluded in copyright file to remove non-free
    csv files, repack upstream tarball using xz compression.
  * Update Makefile.in patch to also drop installation of removed csv
    files in Makefile.am.
  * Update symbols for 1.4.1.
  * Add debug package for libgeotiff2.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 15 Nov 2014 15:22:25 +0100

libgeotiff-dfsg (1.4.0-5) unstable; urgency=medium



=== debian/control ===
Source: libgeotiff
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               dh-autoreconf,
               libjpeg-dev,
               libproj-dev (>= 6.0.0),
               libtiff-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
Homepage: https://geotiff.osgeo.org/

Package: libgeotiff-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgeotiff5 (= ${binary:Version}),
         libtiff-dev,
         ${misc:Depends}
Suggests: libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- development files
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains stuff to be used to develop programs based
 on the GeoTIFF library.

Package: libgeotiff5
Multi-Arch: same
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: geotiff-bin,
          gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- run-time files
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains the shared library only.

Package: geotiff-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeotiff-dev (<< 1.4.0-4)
Replaces: libgeotiff-dev (<< 1.4.0-4)
Suggests: gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- tools
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 The GeoTIFF library comes with two utility programs here included:
 .
  listgeo - dumps the metadata of a GeoTIFF file.
  geotifcp - applies metadata to a TIFF file, making it a GeoTIFF file.

## libgeotiff 1.5.0

=== debian/changelog ===
libgeotiff (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Mar 2019 19:28:52 +0100

## libgeotiff 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Version information
 set(PROJECT_VERSION_MAJOR 1)
 set(PROJECT_VERSION_MINOR 5)
-set(PROJECT_VERSION_PATCH 0)
+set(PROJECT_VERSION_PATCH 1)
 set(PROJECT_VERSION
   "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 set(GeoTIFF_VERSION ${PROJECT_VERSION})

=== debian/changelog ===
libgeotiff (1.5.1-2) unstable; urgency=medium

  * Add patch to fix FTFBS with PROJ 6.2.0.
    (closes: #939399)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2019 16:05:10 +0200

libgeotiff (1.5.1-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Aug 2019 15:31:39 +0200

libgeotiff (1.5.1-1~exp3) experimental; urgency=medium

  * Add libjpeg-dev & libproj-dev to libgeotiff-dev dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Apr 2019 14:42:28 +0200

libgeotiff (1.5.1-1~exp2) experimental; urgency=medium

  * Add upstream patches to fix test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Apr 2019 06:58:24 +0200

libgeotiff (1.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for 1.5.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Mar 2019 06:45:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libproj-dev (>= 6.0.0),
                libtiff-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/
@@ -21,6 +21,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libgeotiff5 (= ${binary:Version}),
+         libjpeg-dev,
+         libproj-dev (>= 6.0.0),
          libtiff-dev,
          ${misc:Depends}
 Suggests: libgeotiff-epsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_clean:
	dh_clean libgeotiff.* xtiffio.h newgeo.tif

override_dh_install:
	$(RM) debian/*/usr/lib/*/libgeotiff.la
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

override_dh_strip:
	dh_strip --dbgsym-migration='libgeotiff2-dbg (<< 1.4.2-3~)'

## libgeotiff 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 # Version information
 set(PROJECT_VERSION_MAJOR 1)
-set(PROJECT_VERSION_MINOR 5)
-set(PROJECT_VERSION_PATCH 1)
+set(PROJECT_VERSION_MINOR 6)
+set(PROJECT_VERSION_PATCH 0)
 set(PROJECT_VERSION
   "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 set(GeoTIFF_VERSION ${PROJECT_VERSION})
@@ -29,7 +29,7 @@
 # libgeotiff.so.2 -> libgeotiff.so.2.2.0
 # libgeotiff.so.2.2.0
 set(LINK_SOVERSION "5")
-set(LINK_VERSION "5.0.0")
+set(LINK_VERSION "5.0.1")
 
 string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
@@ -236,6 +236,7 @@
     epsg_proj.inc
     epsg_vertcs.inc
     geokeys.inc
+    geokeys_v1_1.inc
     libxtiff/xtiffio.h)
 
 SET(GEOTIFF_MAN_PAGES

=== debian/changelog ===
libgeotiff (1.6.0-1build1) groovy; urgency=medium

  * No-change rebuild against libproj19

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 May 2020 19:54:47 +0000

libgeotiff (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Add override for mailing-list-obsolete-in-debian-infrastructure.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Apr 2020 14:16:58 +0200

libgeotiff (1.6.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Drop patches, included upstream.
  * Add pkg-config to build dependencies.
  * Update symbols for 1.6.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Apr 2020 20:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: libgeotiff
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
                libjpeg-dev,
                libproj-dev (>= 6.0.0),
                libtiff-dev,
+               pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/

## libgeotiff 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 # Version information
 set(PROJECT_VERSION_MAJOR 1)
-set(PROJECT_VERSION_MINOR 6)
+set(PROJECT_VERSION_MINOR 7)
 set(PROJECT_VERSION_PATCH 0)
 set(PROJECT_VERSION
   "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
@@ -29,7 +29,7 @@
 # libgeotiff.so.2 -> libgeotiff.so.2.2.0
 # libgeotiff.so.2.2.0
 set(LINK_SOVERSION "5")
-set(LINK_VERSION "5.0.1")
+set(LINK_VERSION "5.1.0")
 
 string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

=== debian/changelog ===
libgeotiff (1.7.0-2build1) jammy; urgency=medium

  * No-change rebuild against libproj22

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Oct 2021 07:33:56 +0000

libgeotiff (1.7.0-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 10:39:14 +0200

libgeotiff (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Jul 2021 16:17:40 +0200

libgeotiff (1.7.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #983212)
  * Drop override for mailing-list-obsolete-in-debian-infrastructure.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Jun 2021 11:09:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libgeotiff
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
@@ -12,7 +11,7 @@
                libtiff-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://download.osgeo.org/geotiff/libgeotiff/ \
(?:.*?/)?(?:rel|v|libgeotiff)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libgeotiff 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,14 @@
 
 ##############################################################################
 # CMake settings
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.0.0)
 
 SET(CMAKE_COLOR_MAKEFILE ON)
 
 # Version information
 set(PROJECT_VERSION_MAJOR 1)
 set(PROJECT_VERSION_MINOR 7)
-set(PROJECT_VERSION_PATCH 0)
+set(PROJECT_VERSION_PATCH 1)
 set(PROJECT_VERSION
   "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 set(GeoTIFF_VERSION ${PROJECT_VERSION})
@@ -29,7 +29,7 @@
 # libgeotiff.so.2 -> libgeotiff.so.2.2.0
 # libgeotiff.so.2.2.0
 set(LINK_SOVERSION "5")
-set(LINK_VERSION "5.1.0")
+set(LINK_VERSION "5.2.0")
 
 string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
@@ -54,12 +54,6 @@
     SET(GEOTIFF_BUILD_PEDANTIC TRUE)
 ENDIF()
 
-if (CMAKE_MAJOR_VERSION GREATER 2)
-cmake_policy(SET CMP0022 OLD) # interface link libraries
-cmake_policy(SET CMP0042 OLD) # osx rpath
-endif()
-
-
 # TODO: Still testing the output paths --mloskot
 SET(GEOTIFF_BUILD_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
 
@@ -79,8 +73,10 @@
 # Platform and compiler specific settings
 
 IF(WIN32)
+    IF(BUILD_SHARED_LIBS)
+        ADD_DEFINITIONS(-DBUILD_AS_DLL=1)
+    ENDIF()
     IF(MSVC)
-        ADD_DEFINITIONS(-DBUILD_AS_DLL=1)
         ADD_DEFINITIONS(/DW4)
         if (NOT (MSVC_VERSION VERSION_LESS 1400))
             ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
@@ -103,10 +99,7 @@
 
 # Check required standard headers
 INCLUDE(CheckIncludeFiles)
-CHECK_INCLUDE_FILES(stdio.h HAVE_STDIO_H)
-CHECK_INCLUDE_FILES(stdlib.h HAVE_STDLIB_H)
-CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
-CHECK_INCLUDE_FILES(strings.h HAVE_STRINGS_H)
+CHECK_INCLUDE_FILES(strings.h GEOTIFF_HAVE_STRINGS_H)
 
 ###############################################################################
 # User-defined build settings
@@ -246,23 +239,9 @@
 
 #    ${PROJECT_BINARY_DIR}/geotiff_version.h
 
-IF(WIN32)
-    SET(DEFAULT_LIB_SUBDIR lib)
-    SET(DEFAULT_DATA_SUBDIR .)
-    SET(DEFAULT_INCLUDE_SUBDIR include)
-
-    IF(MSVC)
-        SET(DEFAULT_BIN_SUBDIR bin)
-    ELSE()
-        SET(DEFAULT_BIN_SUBDIR .)
-    ENDIF()
-ELSE()
-    # Common locatoins for Unix and Mac OS X
-    SET(DEFAULT_BIN_SUBDIR bin)
-    SET(DEFAULT_LIB_SUBDIR lib)
-    SET(DEFAULT_DATA_SUBDIR share)
-    SET(DEFAULT_INCLUDE_SUBDIR include)
-ENDIF()
+SET(DEFAULT_BIN_SUBDIR bin)
+SET(DEFAULT_LIB_SUBDIR lib)
+SET(DEFAULT_INCLUDE_SUBDIR include)
 
 # Locations are changeable by user to customize layout of GeoTIFF installation
 # (default values are platform-specIFic)
@@ -272,31 +251,26 @@
     "Subdirectory where libraries will be installed")
 SET(GEOTIFF_INCLUDE_SUBDIR ${DEFAULT_INCLUDE_SUBDIR} CACHE STRING
     "Subdirectory where header files will be installed")
-SET(GEOTIFF_DATA_SUBDIR ${DEFAULT_DATA_SUBDIR} CACHE STRING
-    "Subdirectory where data will be installed")
 
 # Mark *_SUBDIR variables as advanced and dedicated to use by power-users only.
-MARK_AS_ADVANCED(GEOTIFF_BIN_SUBDIR GEOTIFF_LIB_SUBDIR GEOTIFF_INCLUDE_SUBDIR GEOTIFF_DATA_SUBDIR)
+MARK_AS_ADVANCED(GEOTIFF_BIN_SUBDIR GEOTIFF_LIB_SUBDIR GEOTIFF_INCLUDE_SUBDIR)
 
 # Full paths for the installation
 SET(GEOTIFF_BIN_DIR ${GEOTIFF_BIN_SUBDIR})
 SET(GEOTIFF_LIB_DIR ${GEOTIFF_LIB_SUBDIR})
 SET(GEOTIFF_INCLUDE_DIR ${GEOTIFF_INCLUDE_SUBDIR})
-SET(GEOTIFF_DATA_DIR ${GEOTIFF_DATA_SUBDIR})
 
 # Install doc files
 INSTALL(FILES
     AUTHORS ChangeLog COPYING INSTALL LICENSE README README_BIN README.WIN
     DESTINATION doc)
-#    DESTINATION ${GEOTIFF_DATA_DIR}/doc)
 
 # Install man pages
 INSTALL(FILES ${GEOTIFF_MAN_PAGES} DESTINATION share/man/man1)
 
 
 # Install header files for development distribution
-# INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION ${GEOTIFF_INCLUDE_DIR})
-INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION include)
+INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION ${GEOTIFF_INCLUDE_DIR})
 
 ###############################################################################
 # Build libxtiff library
@@ -338,11 +312,10 @@
 ENDIF(WIN32 AND MSVC)
 
 # Unix, linux:
-IF(UNIX)
+if(UNIX)
    SET_TARGET_PROPERTIES(
       ${GEOTIFF_LIBRARY_TARGET}
       PROPERTIES
-      OUTPUT_NAME ${GEOTIFF_LIB_NAME}
       VERSION ${LINK_VERSION}
       SOVERSION ${LINK_SOVERSION}
       CLEAN_DIRECT_OUTPUT 1 )
@@ -350,34 +323,39 @@
       set_target_properties(
         ${GEOTIFF_LIBRARY_TARGET}
         PROPERTIES
-        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${GEOTIFF_LIB_DIR}")
    endif()
-
-ELSE(UNIX)
-# Default:
-   SET_TARGET_PROPERTIES(${GEOTIFF_LIBRARY_TARGET} PROPERTIES
-   OUTPUT_NAME ${GEOTIFF_LIB_NAME})
-ENDIF(UNIX)
+endif()
 
 SET_TARGET_PROPERTIES(${GEOTIFF_LIBRARY_TARGET} PROPERTIES
    OUTPUT_NAME ${GEOTIFF_LIB_NAME})
 
-TARGET_LINK_LIBRARIES(${GEOTIFF_LIBRARY_TARGET}
-    ${TIFF_LIBRARIES}
-    ${PROJ_LIBRARIES}
-    ${ZLIB_LIBRARIES}
-    ${JPEG_LIBRARIES})
-
-# INSTALL(TARGETS ${GEOTIFF_ARCHIVE_TARGET} ${GEOTIFF_LIBRARY_TARGET}
-#	RUNTIME DESTINATION ${GEOTIFF_BIN_DIR}
-#   LIBRARY DESTINATION ${GEOTIFF_LIB_DIR}
-#   ARCHIVE DESTINATION ${GEOTIFF_LIB_DIR})
+set(CONFIG_DEPENDENCIES "")
+if(TARGET TIFF::TIFF)
+    set(TIFF_LIBRARIES TIFF::TIFF)
+    string(APPEND CONFIG_DEPENDENCIES "  find_dependency(TIFF)\n")
+endif()
+target_link_libraries(${GEOTIFF_LIBRARY_TARGET} PUBLIC
+    ${TIFF_LIBRARIES})
+
+if(TARGET PROJ::proj)
+    set(PROJ_LIBRARIES PROJ::proj)
+    string(APPEND CONFIG_DEPENDENCIES "  find_dependency(PROJ CONFIG)\n")
+endif()
+target_link_libraries(${GEOTIFF_LIBRARY_TARGET} PRIVATE
+    ${PROJ_LIBRARIES})
+
+target_include_directories(
+  ${GEOTIFF_LIBRARY_TARGET}
+  PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
+         $<INSTALL_INTERFACE:${GEOTIFF_INCLUDE_DIR}>)
 
 INSTALL( TARGETS ${GEOTIFF_LIBRARY_TARGET}
-	 EXPORT depends
-	 RUNTIME DESTINATION bin
-         LIBRARY DESTINATION lib
-	 ARCHIVE DESTINATION lib )
+     EXPORT depends
+     RUNTIME DESTINATION ${GEOTIFF_BIN_DIR}
+     LIBRARY DESTINATION ${GEOTIFF_LIB_DIR}
+     PUBLIC_HEADER DESTINATION ${GEOTIFF_INCLUDE_DIR}
+     ARCHIVE DESTINATION ${GEOTIFF_LIB_DIR} )
 
 # Define grouping of source files in PROJECT file (e.g. Visual Studio)
 SOURCE_GROUP("CMake Files" FILES CMakeLists.txt)

=== bin/CMakeLists.txt ===
###############################################################################
#
# CMake configuration file to build GeoTIFF utility programs
#
# Author: Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################

INCLUDE_DIRECTORIES(
    .
    ${CMAKE_SOURCE_DIR})

IF(WIN32 AND MSVC)
    SET(GETOPT_SOURCE getopt.c)
ENDIF()
###############################################################################
# Collect programs to build

SET(GEOTIFF_UTILITIES makegeo listgeo applygeo)

MESSAGE(STATUS "Adding GeoTIFF utilities to build")

FOREACH(utility ${GEOTIFF_UTILITIES})
    ADD_EXECUTABLE(${utility} ${utility}.c ${GETOPT_SOURCE})
    TARGET_LINK_LIBRARIES(${utility} PRIVATE xtiff ${GEOTIFF_LIBRARY_TARGET})
ENDFOREACH()

ADD_EXECUTABLE(geotifcp geotifcp.c ${GETOPT_SOURCE})
TARGET_LINK_LIBRARIES(geotifcp
    PRIVATE
    xtiff
    ${GEOTIFF_LIBRARY_TARGET}
    ${JPEG_LIBRARIES}
    ${ZLIB_LIBRARIES})

SET(GEOTIFF_UTILITIES ${GEOTIFF_UTILITIES} geotifcp )

MESSAGE(STATUS "Adding GeoTIFF utilities to build - done: ${GEOTIFF_UTILITIES}")

###############################################################################
# Targets installation

INSTALL(TARGETS ${GEOTIFF_UTILITIES}
    RUNTIME DESTINATION ${GEOTIFF_BIN_DIR}
    LIBRARY DESTINATION ${GEOTIFF_LIB_DIR}
    ARCHIVE DESTINATION ${GEOTIFF_LIB_DIR})

=== debian/changelog ===
libgeotiff (1.7.1-5build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:50:49 +0200

libgeotiff (1.7.1-5) unstable; urgency=medium

  * Add patch to fix FTBFS on i386.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Dec 2023 10:47:48 +0100

libgeotiff (1.7.1-4) unstable; urgency=medium

  * Update upstream patch to fix FTBFS with PROJ 9.3.
  * Use `set -e` in autopkgtest script.
  * Add patch to fix FTBFS with PROJ 9.3.1.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Dec 2023 08:25:36 +0100

libgeotiff (1.7.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use not-installed file instead of dh_install override.
  * Enable Salsa CI.
  * Add autopkgtest using upstream test scripts.
  * Add upstream patch to fix FTBFS with PROJ 9.3.
    (closes: #1050775)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Aug 2023 18:06:14 +0200

libgeotiff (1.7.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add patch to fix FTBFS with PROJ 9.1.1.
  * Update lintian overrides.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 11:14:27 +0100

libgeotiff (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Mar 2022 12:50:17 +0100

libgeotiff (1.7.1~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Mar 2022 10:15:39 +0100

libgeotiff (1.7.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2022 17:30:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libgeotiff
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                libjpeg-dev,
                libproj-dev (>= 6.0.0),
                libtiff-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/
+Rules-Requires-Root: no
 
 Package: libgeotiff-dev
 Architecture: any

=== debian/tests/control ===
Tests: geotiff-bin
Depends: geotiff-bin
Restrictions: allow-stderr

## libgeotiff 1.7.3

=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,6 @@
 # Targets installation
 
 INSTALL(TARGETS ${GEOTIFF_UTILITIES}
-    RUNTIME DESTINATION ${GEOTIFF_BIN_DIR}
-    LIBRARY DESTINATION ${GEOTIFF_LIB_DIR}
-    ARCHIVE DESTINATION ${GEOTIFF_LIB_DIR})
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libgeotiff (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 May 2024 15:54:29 +0200

libgeotiff (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 May 2024 16:11:21 +0200

libgeotiff (1.7.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Replace pkg-config (build) dependency with pkgconf.
  * Drop patches, included/applied upstream.
  * Include pkg-config file in -dev package.
  * Update symbols for 1.7.2~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 May 2024 17:09:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libgeotiff
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
@@ -10,7 +9,7 @@
                libjpeg-dev,
                libproj-dev (>= 6.0.0),
                libtiff-dev,
-               pkg-config,
+               pkgconf,
                zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff

## libgeotiff 1.7.4

=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,12 @@
 
 FOREACH(utility ${GEOTIFF_UTILITIES})
     ADD_EXECUTABLE(${utility} ${utility}.c ${GETOPT_SOURCE})
-    TARGET_LINK_LIBRARIES(${utility} PRIVATE xtiff ${GEOTIFF_LIBRARY_TARGET})
+    TARGET_LINK_LIBRARIES(${utility} PRIVATE ${GEOTIFF_LIBRARY_TARGET})
 ENDFOREACH()
 
 ADD_EXECUTABLE(geotifcp geotifcp.c ${GETOPT_SOURCE})
 TARGET_LINK_LIBRARIES(geotifcp
     PRIVATE
-    xtiff
     ${GEOTIFF_LIBRARY_TARGET}
     ${JPEG_LIBRARIES}
     ${ZLIB_LIBRARIES})

=== cmake/CMakeLists.txt ===
#############################################################################
# Config file generation and installation
#############################################################################

# geotiff-config.cmake for the install tree.  It's installed in
# ${INSTALL_CMAKE_DIR} and @PROJECT_ROOT_DIR@ is the relative
# path to the root from there.  (Note that the whole install tree can
# be relocated.)
if (NOT WIN32)
  set (INSTALL_CMAKE_DIR "share/cmake/${PROJECT_NAME}")
  set (PROJECT_ROOT_DIR "../../..")
else ()
  set (INSTALL_CMAKE_DIR "cmake")
  set (PROJECT_ROOT_DIR "..")
endif ()

configure_file (project-config.cmake.in project-config.cmake @ONLY)
configure_file (project-config-version.cmake.in
  project-config-version.cmake @ONLY)
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}"
  RENAME "${PROJECT_NAME_LOWER}-config.cmake")
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config-version.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}"
  RENAME "${PROJECT_NAME_LOWER}-config-version.cmake")
# Make information about the cmake targets (the library and the tools)
# available.
install (EXPORT depends
  FILE ${PROJECT_NAME_LOWER}-depends.cmake
  DESTINATION "${INSTALL_CMAKE_DIR}")


#  ------------------------------------------------------------------------------
  # CPACK controls
  #------------------------------------------------------------------------------


  SET(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
  SET(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
  SET(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
  SET(CPACK_PACKAGE_NAME "GeoTIFF")

  SET(CPACK_SOURCE_GENERATOR "TBZ2;TGZ;ZIP")
  SET(CPACK_PACKAGE_VENDOR "GeoTIFF Development Team")
  SET(CPACK_RESOURCE_FILE_LICENSE    "${PROJECT_SOURCE_DIR}/LICENSE")

  set(CPACK_SOURCE_PACKAGE_FILE_NAME
      "lib${PROJECT_NAME_LOWER}-${GeoTIFF_VERSION}")

  set(CPACK_SOURCE_IGNORE_FILES
    "/\\\\.gitattributes"
    "/\\\\.DS_Store"
    "/\\\\.git/"
    "\\\\.swp$"
    "~$"
    "\\\\.\\\\#"
    "/\\\\#"
    "CMakeScripts/"
    "COPYING-CMAKE-SCRIPTS"
    "_CPack_Packages"
    "cmake_install.cmake"
    ".gitignore"
    ".ninja"
    ".deps"
    "HOWTORELEASE.txt"
    "README"
    "build/"
    "CMakeFiles"
    "CTestTestfile.cmake"
    ".gz"
    ".bz2"
  )

  include(CPack)
  add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== debian/changelog ===
libgeotiff (1.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Feb 2025 11:29:33 +0100

libgeotiff (1.7.4~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
    (closes: #1097191)
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Feb 2025 16:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libtiff-dev,
                pkgconf,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff.git
 Homepage: https://geotiff.osgeo.org/

=== debian/rules ===
--- 
+++ 
@@ -20,18 +20,8 @@
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
 
-override_dh_clean:
-	dh_clean libgeotiff.* xtiffio.h newgeo.tif
-
-override_dh_install:
-	$(RM) debian/*/usr/lib/*/libgeotiff.la
-	dh_install --list-missing
-
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgeotiff2-dbg (<< 1.4.2-3~)'
